//This is a config file

#ifndef __BCONFIG_H__
#define __BCONFIG_H__

// This should be defined for using LBTFBASE (no possibility
// to render from original data). You should undefine it for
// using btfbase.a from original distribution
//#define _LBTFBASE

// Uncomment this macro if you want to render offline frame by frame
//#define RENDERING_MIRIKINA

// This defines the use of MATUSIK BRDF data for rendering
#define _MATUSIK_BRDF

#include <iostream>
#include <cmath>

#ifdef __INTEL_COMPILER
#include <mathimf.h>
#endif

inline int isnan_local(double x) { 
#ifdef __INTEL_COMPILER
  return isnan(x);
#else
  return std::isnan(x);
#endif
}

#endif // __BCONFIG_H__

